# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():
    print('Installing Apple Mobile Device Support')
    install_msi_if_needed('AppleMobileDeviceSupport64.msi' if iswin64() else 'AppleMobileDeviceSupport.msi')

def update_package():
    print('Updating Apple Mobile Device Support package')
    for arch in ['32','64']:
        url = 'https://www.apple.com/itunes/download/win%s' % arch
        mkdirs(makepath('temp',arch))
        filename = makepath('temp', 'itunes%s' % arch)
        if not isfile(filename):
            print('Downloading %s' % url)
            wget(url,filename)
        print('Extracting %s' % filename)
        run('"%s" e -y -o"%s" %s' % (makepath(programfiles,'7-Zip','7z.exe'),makepath('temp',arch),filename))
    version = get_msi_properties(makepath('temp','64','AppleMobileDeviceSupport64.msi'))['ProductVersion']
    print('Downloaded version is %s' % version)
    pe = PackageEntry();
    control = pe.load_control_from_wapt('.')
    if Version(version) > Version(control['version'].split('-',1)[0]):
        print('New Apple Mobile Device Support version %s' % version)
        for file in ['AppleMobileDeviceSupport.msi', 'AppleMobileDeviceSupport64.msi' ]:
            if isfile(file):
                remove_file(file)
        os.rename(makepath('temp','32','AppleMobileDeviceSupport.msi'),'AppleMobileDeviceSupport.msi')
        os.rename(makepath('temp','64','AppleMobileDeviceSupport64.msi'),'AppleMobileDeviceSupport64.msi')
        pe.version = version + '-0'
        pe.maturity = 'PREPROD'
        pe.save_control_to_wapt('.')
    print('Removing temp files')
    remove_tree('temp')